import Vue from 'vue'
import Vuex from 'vuex'

import app from './modules/app'
import user from './modules/user'
import permission from './modules/permission'
import enhance from './modules/enhance'
import online from './modules/online'
import interLock from './modules/interLock'
import getters from './getters'
import createVuexAlong from 'vuex-along'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    app,
    user,
    permission,
    enhance,
    online,
    interLock,
  },
  plugins: [createVuexAlong({
    name: 'interLockStore',     //存放在localStroage或者sessionStroage 中的名字
    local: false,  // 是否存放在localStroage中-关闭浏览器数据不删除
    session: { // 是否存放在sessionStroage中-关闭浏览器删除数据
      list: ['interLock'],
      // isFilter: true, // 当isFilter设置为true时， list 数组中的值就会被过滤调,这些值不会存放在seesion或者local中
    },
    justSession: true
  })],
  state: {

  },
  mutations: {

  },
  actions: {

  },
  getters
})
